Note, the included file, ipg-util.asp uses a server side JavaScript file to build the SHA1 hash. This file can be provided on request.
To prevent fraudulent transactions, it is recommended that the 'hash' is calculated within your server and JavaScript is not used like shown in the samples mentioned. Please ensure the timezone set in the payment form corresponds to your System/Server timezone.



<Script LANGUAGE=JScript RUNAT=Server src="sha1.js">
</SCRIPT>
<Script LANGUAGE=JScript RUNAT=Server>
    var today = new Date();
    var formattedDate = today.formatDate("Y:m:d-H:i:s");

    /*
Function that calculates the hash of the following parameters:
         - Store Id
         - Date/Time
         - chargetotal
         - shared secret
         - currency (numeric ISO value)
    */
    function createHash(chargetotal, currency) {
        // Please change the store Id to your individual Store ID
        var storename = "12066666666;
        // NOTE: Please DO NOT hardcode the secret in that script. For example read it from a database.
        var sharedSecret = "ganzGeheim";

        var stringToHash = storename + formattedDate + chargetotal + currency + sharedSecret;

        var ascii = getHexFromChars(stringToHash);

        var hash = calcSHA1(ascii);

        Response.Write(hash);
    }
    function getHexFromChars(value) {
        var char_str = value;
        var hex_str = "";
        var i, n;
        for(i=0; i < char_str.length; i++) {
            n = charToByte(char_str.charAt(i));
            if(n != 0) {
                hex_str += byteToHex(n);
            }
        }
        return hex_str.toLowerCase();
    }

    function getDateTime() {
        Response.Write(formattedDate);
    }
</SCRIPT>
